Package twisted :: Package web :: Package woven :: Module model :: Class MethodModel |
[show private | hide private]
[frames | no frames]

## Class MethodModel

    Model --+
            |
           MethodModel

Known Subclasses:
  `FormDisplayModel`, `LivePage`, `Page`

Look up submodels with wmfactory_* methods.

Method Summary
| `__init__(self, *args, **kwargs)` (inherited from `Model`)
| `__getstate__(self)` (inherited from `Model`)
| `addSubview(self, name, subview)` (inherited from `Model`)
| ``addView`(self, view)` Add a view for the model to keep track of. (inherited from `Model`)
| `dataWillChange(self)` (inherited from `Model`)
| `getData(self, request)` (inherited from `Model`)
| ``getSubmodel`(self, request, name)` Get the submodel `name' of this model.
| ``initialize`(self, *args, **kwargs)` Hook for subclasses to initialize themselves without having to mess with the __init__ chain. (inherited from `Model`)
| ``invalidateCache`(self)` Invalidate the cache for this object, so the next time getData is called, it's getter method is called again. (inherited from `Model`)
| ``lookupSubmodel`(self, request, submodelName)` Look up a full submodel name. (inherited from `Model`)
| ``notify`(self, changed)` Notify all views that something was changed on me. (inherited from `Model`)
| ``removeView`(self, view)` Remove a view that the model no longer should keep track of. (inherited from `Model`)
| `setData(self, request, data)` (inherited from `Model`)
| `setGetter(self, getter)` (inherited from `Model`)
| `setSetter(self, setter)` (inherited from `Model`)
| ``setSubmodel`(self, request, name, value)` Set a submodel on this model. (inherited from `Model`)
| ``submodelCheck`(self, request, name)` Allow any submodel for which I have a submodel.
| ``submodelFactory`(self, request, name)` Call a wmfactory_name method on this model.

Method Details

### getSubmodel(self, request=None, name=None) Get the submodel `name' of this model. If I ever return a Deferred, then I ought to check for cached values (created by `setSubmodel`) before doing a regular Deferred lookup. Overrides: `twisted.web.woven.model.Model.getSubmodel` (inherited documentation)

### submodelCheck(self, request, name) Allow any submodel for which I have a submodel.

### submodelFactory(self, request, name) Call a wmfactory_name method on this model.

Generated by Epydoc 1.1 on Thu May 8 13:19:14 2003 | http://epydoc.sf.net